Unit Structs(3)

NAME
Unit Structs -

  Data Structures

struct nvmlHwbcEntry_t
struct nvmlLedState_t
struct nvmlUnitInfo_t
struct nvmlPSUInfo_t
struct nvmlUnitFanInfo_t
struct nvmlUnitFanSpeeds_t

  Enumerations

enum nvmlFanState_t { NVML_FAN_NORMAL = 0, NVML_FAN_FAILED = 1 }
enum nvmlLedColor_t { NVML_LED_COLOR_GREEN = 0, NVML_LED_COLOR_AMBER = 1 }

Enumeration Type Documentation

  enum nvmlFanState_t

Fan state enum.

Enumerator:

NVML_FAN_NORMAL
    Fan is working properly.

NVML_FAN_FAILED
    Fan has failed.

  enum nvmlLedColor_t

Led color enum.

Enumerator:

NVML_LED_COLOR_GREEN
    GREEN, indicates good health.

NVML_LED_COLOR_AMBER
    AMBER, indicates problem.

Author

Generated automatically by Doxygen for NVML from the source code.